%bcond_without dotests

%global __tar /opt/freeware/bin/tar

%global py_minor 16

%global py_major 3.9

%global python_major python%{py_major}

%global srcname Werkzeug

%global pkgname werkzeug

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name:           %{python_major}-%{pkgname}
Version:        2.3.6
Release:        1
Summary:        Comprehensive WSGI web application library
License:        BSD
URL:            https://werkzeug.palletsprojects.com
Source0:        https://files.pythonhosted.org/packages/source/w/%{pkgname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
Requires:       %{python_major} >= %{py_major}.%{py_minor}
Requires:       %{python_major}-markupsafe >= 2.1.2


%description
Werkzeug started as simple collection of various utilities for WSGI
applications and has become one of the most advanced WSGI utility
modules.  It includes a powerful debugger, full featured request and
response objects, HTTP utilities to handle entity tags, cache control
headers, HTTP dates, cookie handling, file uploads, a powerful URL
routing system and a bunch of community contributed addon modules.

Werkzeug is unicode aware and doesn't enforce a specific template
engine, database adapter or anything else.  It doesn't even enforce
a specific way of handling requests and leaves all that up to the
developer. It's most useful for end user applications which should work
on as many server environments as possible (such as blogs, wikis,
bulletin boards, etc.).

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}
Requires:      python3-markupsafe >= 2.1.2

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{srcname}-%{version}


%build
#NOTHING TO DO

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} -m pip install . --root %{buildroot} -I --no-deps


%check
%if %{with dotests}

export PYTHONPATH=%{buildroot}%{python3_sitearch}
%{python_major} -m venv python_venv --system-site-packages
. ./python_venv/bin/activate

# Requires pytest 6 version 
pip3 install --upgrade pytest
pip3 install ephemeral_port_reserve pytest-xprocess watchdog pytest-timeout
# Below tests are failing and left lot of process running in the background, so skip them
( %{python_major} -m pytest -k 'not (test_serving or test_basic or test_http_proxy)' || true )

deactivate

%endif


%files
%defattr(-,root,system,-)
%license LICENSE.rst
%doc README.rst
%{python3_sitearch}/*

%files -n %{meta_package}
%defattr(-,root,system,-)

%changelog
* Thu Sep 21 2023 Ayappan Perumal <ayappap2@in.ibm.com> - 2.3.6-1
- First port to AIX
